# H225_RegistrationConfirm_preGrantedARQ Class Reference

`#include <h225.h>`

Inheritance diagram for H225_RegistrationConfirm_preGrantedARQ:

List of all members.

## Public Types

enum | OptionalFields { e_irrFrequencyInCall, e_totalBandwidthRestriction, e_alternateTransportAddresses, e_useSpecifiedTransport }

## Public Member Functions

| H225_RegistrationConfirm_preGrantedARQ (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_makeCall
PASN_Boolean | m_useGKCallSignalAddressToMakeCall
PASN_Boolean | m_answerCall
PASN_Boolean | m_useGKCallSignalAddressToAnswer
PASN_Integer | m_irrFrequencyInCall
H225_BandWidth | m_totalBandwidthRestriction
H225_AlternateTransportAddresses | m_alternateTransportAddresses
H225_UseSpecifiedTransport | m_useSpecifiedTransport

## Member Enumeration Documentation

enum H225_RegistrationConfirm_preGrantedARQ::OptionalFields

Enumerator:

  e_irrFrequencyInCall |
  e_totalBandwidthRestriction |
  e_alternateTransportAddresses |
  e_useSpecifiedTransport |

## Constructor & Destructor Documentation

H225_RegistrationConfirm_preGrantedARQ::H225_RegistrationConfirm_preGrantedARQ | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_RegistrationConfirm_preGrantedARQ::GetDataLength | ( |  | ) | const

PBoolean H225_RegistrationConfirm_preGrantedARQ::Decode | ( | PASN_Stream & | strm | ) |

void H225_RegistrationConfirm_preGrantedARQ::Encode | ( | PASN_Stream & | strm | ) | const

void H225_RegistrationConfirm_preGrantedARQ::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_RegistrationConfirm_preGrantedARQ::Compare | ( | const PObject & | obj | ) | const

PObject* H225_RegistrationConfirm_preGrantedARQ::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H225_RegistrationConfirm_preGrantedARQ::m_makeCall

PASN_Boolean H225_RegistrationConfirm_preGrantedARQ::m_useGKCallSignalAddressToMakeCall

PASN_Boolean H225_RegistrationConfirm_preGrantedARQ::m_answerCall

PASN_Boolean H225_RegistrationConfirm_preGrantedARQ::m_useGKCallSignalAddressToAnswer

PASN_Integer H225_RegistrationConfirm_preGrantedARQ::m_irrFrequencyInCall

H225_BandWidth H225_RegistrationConfirm_preGrantedARQ::m_totalBandwidthRestriction

H225_AlternateTransportAddresses H225_RegistrationConfirm_preGrantedARQ::m_alternateTransportAddresses

H225_UseSpecifiedTransport H225_RegistrationConfirm_preGrantedARQ::m_useSpecifiedTransport

The documentation for this class was generated from the following file:

- h225.h